Assignments Assignments

Public Member Functions | Public Attributes | List of all members
Util::RotationParameter< RotationParameterType, ParameterType > Class Template Referenceabstract

`#include <geometry.h>`

## Public Member Functions
virtual Matrix3D | operator() (void) const =0
RotationParameterType | operator* (double scale) const
RotationParameterType | operator+ (const RotationParameterType &p) const

## Public Attributes
ParameterType | parameter

## Detailed Description

template<typename RotationParameterType, typename ParameterType>
class Util::RotationParameter< RotationParameterType, ParameterType >

This abstract templated class fills in the vector space operators for the rotation parameter

## Member Function Documentation

## ◆ operator()()

template<typename RotationParameterType, typename ParameterType>

virtual Matrix3D Util::RotationParameter< RotationParameterType, ParameterType >::operator() | ( | void |  | ) | const
| pure virtual

This method transforms the parameter into a rotation

Implemented in Util::EulerRotationParameter, Util::MatrixRotationParameter, Util::QuaternionRotationParameter, Util::SkewSymmetricRotationParameter, and Util::TrivialRotationParameter.

## ◆ operator*()

template<typename RotationParameterType, typename ParameterType>

RotationParameterType Util::RotationParameter< RotationParameterType, ParameterType >::operator* | ( | double | scale | ) | const

This method returns the product of the parameter with a scalar

## ◆ operator+()

template<typename RotationParameterType, typename ParameterType>

RotationParameterType Util::RotationParameter< RotationParameterType, ParameterType >::operator+ | ( | const RotationParameterType & | p | ) | const

This method returns the sum of two parameters

## Member Data Documentation

## ◆ parameter

template<typename RotationParameterType, typename ParameterType>

ParameterType Util::RotationParameter< RotationParameterType, ParameterType >::parameter

The documentation for this class was generated from the following files:

- Assignments/Util/geometry.h
- Assignments/Util/geometry.inl